Page MenuHomePhabricator

Translating image captions in the app (workflow)
Closed, ResolvedPublic4 Story Points

Description

Conceptual descriptions

  • Requirements:
    • Users have set more than one language in the app.
    • Image caption translating is available by default and does not depend previously unlocked “Suggested edit“ tasks.
  • Show structured image caption if available. If image does not have a structured caption, output unstructured data.
  • Show translation CTA, no matter whether there is a structured caption available or not in the current language, if:
    • Multiple languages are set in the app
    • Image does not have a structured caption in the target language
    • “Translate image captions“ task is unlocked
  • If a third language is set in the app and there’s already a structured or unstructured caption in the second language, the CTA prompts to add a translation in the third language, and so forth.
  • Edit flow bases on T223131
  • When publishing a translation, the snackbar should display: “$TargetLanguage caption published!”. Users stay in the gallery view of the “From” language after adding a translation. However, they have the possibility to switch to the image with the translation they just added via “View“ in the snackbar (which equals an app language switch in the gallery view).

Visuals

👉Zeplin: T223128 | Translating image captions in the app

Flow chart

https://whimsical.co/Q1MEoVTmmFBvdjUrffkUEi

Event Timeline

I added a flow chart to this task @Sharvaniharan:

https://whimsical.co/Q1MEoVTmmFBvdjUrffkUEi

Does this work for you to understand when to show what in gallery images? Thanks for letting me know.

schoenbaechler removed schoenbaechler as the assignee of this task.May 14 2019, 2:12 PM
schoenbaechler renamed this task from Modify gallery screen for Suggested Edits to Translating image captions in the app.May 22 2019, 2:59 PM
Charlotte renamed this task from Translating image captions in the app to Translating image captions in the app (workflow).May 28 2019, 4:18 PM
Charlotte triaged this task as Medium priority.
Charlotte set the point value for this task to 4.
Charlotte raised the priority of this task from Medium to High.May 28 2019, 4:55 PM
Dbrant reassigned this task from Dbrant to cooltey.Jun 5 2019, 4:18 PM
Dbrant added a subscriber: Dbrant.
cooltey removed cooltey as the assignee of this task.Jun 7 2019, 5:57 PM
cooltey added a subscriber: cooltey.

Thanks for working on this @Dbrant, all issues related to this task are listed in T225635. Moving this to QA signoff.

ABorbaWMF added a subscriber: ABorbaWMF.

Looking good to me on 2.7.50282-alpha-2019-06-18

Dbrant closed this task as Resolved.Jun 26 2019, 11:35 AM